> For the complete documentation index, see [llms.txt](https://docs.kaiko.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.kaiko.com/formerly-vinter-indices/api/staking-yield-reference-rates/staking-tiers/on-chain-tier.md).

# On-Chain Tier

These sources offer non-aggregated blockchain data, which allows for calculating the Annual Percentage Rate (APR) for each validator.

These data providers offer on-chain data that enable the computation of staking reward rates by leveraging the inherent data available on the blockchain. Vinter can offer a theoretically precise staking reward rate.

### Computing Staking Reward Rates

When Tier 1 providers offer block-level data, data engineers are responsible for computing the staking reward rates. This task requires a comprehensive understanding of the specific asset and its associated economics. Factors such as slashed validators and penalties must be carefully considered to ensure accurate staking rate calculations.

### Evaluation Criterion

To determine the suitability of a data provider as Tier 1 for a particular protocol, we must ensure that the provided data enables unbiased staking reward rate computation. Thorough research into the staking economics of the protocol is necessary, along with the ability to retrieve staking risks and costs, including slashing, from the on-chain data provider.

### Examples

Some potential Tier 1 data providers for multiple protocols, assuming they meet the evaluation criterion, include:

* [Blockdaemon](https://www.blockdaemon.com/)
* [Ankr](https://www.ankr.com/)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.kaiko.com/formerly-vinter-indices/api/staking-yield-reference-rates/staking-tiers/on-chain-tier.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
